View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/kde4libs
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
ubuntu/natty-security 2011-10-25 22:07:12 UTC 2011-10-25
Import patches-unapplied version 4:4.6.5-0ubuntu1.1 to ubuntu/natty-security

Author: Jamie Strandboge
Author Date: 2011-10-14 15:20:24 UTC

Import patches-unapplied version 4:4.6.5-0ubuntu1.1 to ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: 294cae5ce46b6ad3fff169b023b19f634a90d5ec

New changelog entries:
  * SECURITY UPDATE: Fix vulnerability in kioslave which let the opportunity
    to interpret html tags
    - debian/patches/security_04_CVE-2011-3365-kioslave.patch: Use HTML
      escaping on texts that come from the website.
    - LP: #857437

debian/squeeze 2011-10-08 15:23:14 UTC 2011-10-08
Import patches-unapplied version 4:4.4.5-2+squeeze3 to debian/squeeze

Author: Modestas Vainius
Author Date: 2011-09-04 06:28:50 UTC

Import patches-unapplied version 4:4.4.5-2+squeeze3 to debian/squeeze

Imported using git-ubuntu import.

Changelog parent: ba51c44f5aeafef789c3082210a69f0618c2be6a

New changelog entries:
  [ Ansgar Burchardt ]
  * Apply upstream patch to prevent marked text being cut out when switching
    documents in kate. (Closes: #636615)
    + new patch: 636615-ibus.diff

applied/debian/squeeze 2011-10-08 15:23:14 UTC 2011-10-08
Import patches-applied version 4:4.4.5-2+squeeze3 to applied/debian/squeeze

Author: Modestas Vainius
Author Date: 2011-09-04 06:28:50 UTC

Import patches-applied version 4:4.4.5-2+squeeze3 to applied/debian/squeeze

Imported using git-ubuntu import.

Changelog parent: 12ab055916189ea3fe4f0116ace78962112ef12f
Unapplied parent: f91c56d8255322ffc469e3e20931e2ac8eff8402

New changelog entries:
  [ Ansgar Burchardt ]
  * Apply upstream patch to prevent marked text being cut out when switching
    documents in kate. (Closes: #636615)
    + new patch: 636615-ibus.diff

ubuntu/oneiric 2011-10-02 05:03:41 UTC 2011-10-02
Import patches-unapplied version 4:4.7.1-0ubuntu3 to ubuntu/oneiric

Author: Jonathan Thomas
Author Date: 2011-10-01 20:36:49 UTC

Import patches-unapplied version 4:4.7.1-0ubuntu3 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 94a5e5e0e24ad47e1ac3fb75401c2ecf758d0c0f

New changelog entries:
  * Add kubuntu_fix_kextendableitemdelegate_crash.diff from upstream
    (Commit fc923ff9 to the 4.7 branch) to fix a crash visible in Muon.

ubuntu/natty-proposed 2011-09-26 16:10:02 UTC 2011-09-26
Import patches-unapplied version 4:4.6.5-0ubuntu1 to ubuntu/natty-proposed

Author: Scott Kitterman
Author Date: 2011-09-26 11:21:24 UTC

Import patches-unapplied version 4:4.6.5-0ubuntu1 to ubuntu/natty-proposed

Imported using git-ubuntu import.

Changelog parent: bd81b3009629630c08f195c55a83fc3f15decb19

New changelog entries:
  * Upload to natty-proposed for SRU testing (LP: #859562)
  * Add kubuntu_83_solid_crash_waking_up_from_sleep.diff to fix a crash
    in solid after waking up from sleep
  * Add kubuntu_84_kioslave_http_header_filename_security_check.diff
    to fix a filename security check being omitted on parse error in HTTP header
  * Add kubuntu_85_khtml_infinite_loop.diff to fix an infinite loop
    that can happen in some cases in khtml
  * Add kubuntu_86_khtml_unbreak_completion.diff to fix a regression
    in khtml (Unbreak completion on tab-out)
  * Add kubuntu_87_kssl_security_fix.diff to don't interpret html tags
  * New upstream release
  * New upstream release
    - update libkdeui5.symbols
  * New upstream release
    - drop kubuntu_83_fix_solid_network_status.diff
    - update libkdeui5.symbols
  * Update Vcs links as the branch is owned by kubuntu-packagers now

ubuntu/natty 2011-04-19 13:07:52 UTC 2011-04-19
Import patches-unapplied version 4:4.6.2-0ubuntu4 to ubuntu/natty

Author: Jonathan Thomas
Author Date: 2011-04-19 04:03:52 UTC

Import patches-unapplied version 4:4.6.2-0ubuntu4 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: faa7b1a297476f3d94571e2217531ad598eb140e

New changelog entries:
  * Add kubuntu_81_fix_solid_network_status.diff to fix Solid reporting the
    network status as "unknown" improperly.

ubuntu/karmic-devel 2011-04-13 17:07:52 UTC 2011-04-13
Import patches-unapplied version 4:4.3.2-0ubuntu7.3 to ubuntu/karmic-security

Author: Jamie Strandboge
Author Date: 2011-04-11 15:19:40 UTC

Import patches-unapplied version 4:4.3.2-0ubuntu7.3 to ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: bd8806f9acc16b75b84f3b9b794e3da026125d82

New changelog entries:
  * SECURITY UPDATE: fix XSS vulnerability in Konqueror's error pages
    - debian/patches/security_03_CVE-2011-1168.diff: upstream patch
    - CVE-2011-1168
    - LP: #743669
  * SECURITY UPDATE: fix certificate verification for certificates issued
    against an IP address
    - debian/patches/security_04_CVE-2011-1094.diff: based on upstream patch
    - CVE-2011-1094

ubuntu/karmic-updates 2011-04-13 17:07:52 UTC 2011-04-13
Import patches-unapplied version 4:4.3.2-0ubuntu7.3 to ubuntu/karmic-security

Author: Jamie Strandboge
Author Date: 2011-04-11 15:19:40 UTC

Import patches-unapplied version 4:4.3.2-0ubuntu7.3 to ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: bd8806f9acc16b75b84f3b9b794e3da026125d82

New changelog entries:
  * SECURITY UPDATE: fix XSS vulnerability in Konqueror's error pages
    - debian/patches/security_03_CVE-2011-1168.diff: upstream patch
    - CVE-2011-1168
    - LP: #743669
  * SECURITY UPDATE: fix certificate verification for certificates issued
    against an IP address
    - debian/patches/security_04_CVE-2011-1094.diff: based on upstream patch
    - CVE-2011-1094

ubuntu/karmic-security 2011-04-13 17:07:52 UTC 2011-04-13
Import patches-unapplied version 4:4.3.2-0ubuntu7.3 to ubuntu/karmic-security

Author: Jamie Strandboge
Author Date: 2011-04-11 15:19:40 UTC

Import patches-unapplied version 4:4.3.2-0ubuntu7.3 to ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: bd8806f9acc16b75b84f3b9b794e3da026125d82

New changelog entries:
  * SECURITY UPDATE: fix XSS vulnerability in Konqueror's error pages
    - debian/patches/security_03_CVE-2011-1168.diff: upstream patch
    - CVE-2011-1168
    - LP: #743669
  * SECURITY UPDATE: fix certificate verification for certificates issued
    against an IP address
    - debian/patches/security_04_CVE-2011-1094.diff: based on upstream patch
    - CVE-2011-1094

ubuntu/maverick-proposed 2011-04-13 09:05:06 UTC 2011-04-13
Import patches-unapplied version 4:4.5.5-0ubuntu2 to ubuntu/maverick-proposed

Author: Scott Kitterman
Author Date: 2011-04-11 04:16:10 UTC

Import patches-unapplied version 4:4.5.5-0ubuntu2 to ubuntu/maverick-proposed

Imported using git-ubuntu import.

Changelog parent: 07c45e227ca769fcbbca6e5ff7bbe70f3870ab17

New changelog entries:
  * Update to final 4.5.x version per micro-release update exception
    (LP: #757065)
  * Additional post 4.5.5 fixes from kde git:
    - debian/patches/kubuntu_79_html_escaping.diff
    - debian/patches/security_03_CVE-2011-1094.diff
  * Bump version so it can be uploaded to kubuntu-ppa/ppa
  * New upstream release
  * Removed patch #69 as fixd upstream
  * Correct kdelibs5-dev breaks version for libkwebkit-dev (<< 0.9~svn1123738)
  * New upstream release, PPA build
  * New upstream release
  [ Rohan Garg ]
  * Add kubuntu_78_krun_http.diff to fix https handling
  [ Ubuntu ]
  * 0--help
  * New tarball
  * New upstream release
  * Now included in upstream
   - kubuntu_72_previewjob_skip_remote_directories.diff
   - kubuntu_75__fix_containment_configs.diff
   - kubuntu_73_fix_mem_leak_kmodelindexproxymapper.diff
   - kubuntu_74_fix_mem_leak_kwebpluginfactory.diff
   - kubuntu_76_fix_install_plasmoid.diff

ubuntu/maverick 2010-10-04 12:05:07 UTC 2010-10-04
Import patches-unapplied version 4:4.5.1-0ubuntu7 to ubuntu/maverick

Author: Jonathan Riddell
Author Date: 2010-10-04 10:48:16 UTC

Import patches-unapplied version 4:4.5.1-0ubuntu7 to ubuntu/maverick

Imported using git-ubuntu import.

Changelog parent: 2b153f3bfcfed5b9fc097c62e6ad23ee61447929

New changelog entries:
  * Add kubuntu_77_no_kbookmark_write_error.diff, nasty workaround for
    random error message on first login LP: #627815

ubuntu/lucid 2010-04-15 05:06:54 UTC 2010-04-15
Import patches-unapplied version 4:4.4.2-0ubuntu4 to ubuntu/lucid

Author: Jonathan Thomas
Author Date: 2010-04-14 15:49:42 UTC

Import patches-unapplied version 4:4.4.2-0ubuntu4 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 3b57f87f567a922d760e9fa70b9d610e1d9dbf83

New changelog entries:
  * Add kubuntu_75_kauth_authentication_fix.diff from upstream to address
    B.K.O #227117.

debian/lenny 2010-01-30 15:08:08 UTC 2010-01-30
Import patches-unapplied version 4:4.1.0-3+lenny1 to debian/lenny

Author: Giuseppe Iuculano
Author Date: 2009-08-09 12:00:33 UTC

Import patches-unapplied version 4:4.1.0-3+lenny1 to debian/lenny

Imported using git-ubuntu import.

Changelog parent: f308a27dd9f6b769a79c27b00bdc457421204ff0

New changelog entries:
  * Non-maintainer upload.
  * Fixed CVE-2009-1687: An integer overflow, leading to heap-based buffer
    overflow was found in the KDE implementation of garbage collector for the
    JavaScript language (KJS).
  * Fixed CVE-2009-1690: KDE HTML parser incorrectly handled content, forming
    the HTML page <head> element. A remote attacker could use this flaw to
    cause a denial of service (konqueror crash) or, potentially, execute
    arbitrary code, with the privileges of the user running "konqueror" web
    browser, if the victim was tricked to open a specially-crafted HTML page.
    (Closes: #534949)
  * Fixed CVE-2009-1698: KDE's Cascading Style Sheets (CSS) parser incorrectly
    handled content, forming the value of CSS "style" attribute. A remote
    attacker could use this flaw to cause a denial of service (konqueror crash)
    or potentially execute arbitrary code with the privileges of the user
    running "konqueror" web browser, if the victim visited a specially-crafted
    CSS equipped HTML page. (Closes: #534949)

applied/debian/lenny 2010-01-30 15:08:08 UTC 2010-01-30
Import patches-applied version 4:4.1.0-3+lenny1 to applied/debian/lenny

Author: Giuseppe Iuculano
Author Date: 2009-08-09 12:00:33 UTC

Import patches-applied version 4:4.1.0-3+lenny1 to applied/debian/lenny

Imported using git-ubuntu import.

Changelog parent: 1516f67147fea2c05754bfe40f1034fdcef9e6b3
Unapplied parent: dee429d24aaf8d986ea10e74ced6c90ea352304b

New changelog entries:
  * Non-maintainer upload.
  * Fixed CVE-2009-1687: An integer overflow, leading to heap-based buffer
    overflow was found in the KDE implementation of garbage collector for the
    JavaScript language (KJS).
  * Fixed CVE-2009-1690: KDE HTML parser incorrectly handled content, forming
    the HTML page <head> element. A remote attacker could use this flaw to
    cause a denial of service (konqueror crash) or, potentially, execute
    arbitrary code, with the privileges of the user running "konqueror" web
    browser, if the victim was tricked to open a specially-crafted HTML page.
    (Closes: #534949)
  * Fixed CVE-2009-1698: KDE's Cascading Style Sheets (CSS) parser incorrectly
    handled content, forming the value of CSS "style" attribute. A remote
    attacker could use this flaw to cause a denial of service (konqueror crash)
    or potentially execute arbitrary code with the privileges of the user
    running "konqueror" web browser, if the victim visited a specially-crafted
    CSS equipped HTML page. (Closes: #534949)

ubuntu/karmic-backports 2010-01-27 01:04:56 UTC 2010-01-27
Import patches-unapplied version 4:4.3.5-0ubuntu1~karmic1 to ubuntu/karmic-ba...

Author: Alessandro Ghersi
Author Date: 2010-01-21 23:54:09 UTC

Import patches-unapplied version 4:4.3.5-0ubuntu1~karmic1 to ubuntu/karmic-backports

Imported using git-ubuntu import.

Changelog parent: 870a05a6bd395a3b9cc1e898bd8c4ec12b9de742

New changelog entries:
  * New upstream release
    - Bump version in rules
    - Update kdelibs5-dev.install

ubuntu/jaunty-backports 2010-01-04 02:04:40 UTC 2010-01-04
Import patches-unapplied version 4:4.2.4-0ubuntu1~jaunty3 to ubuntu/jaunty-ba...

Author: Scott Kitterman
Author Date: 2010-01-04 00:04:00 UTC

Import patches-unapplied version 4:4.2.4-0ubuntu1~jaunty3 to ubuntu/jaunty-backports

Imported using git-ubuntu import.

Changelog parent: 4f953d3fc7b111f31d5cd3e6ff8f1d498ffa21ec

New changelog entries:
  [ Jamie Strandboge ]
  * SECURITY UPDATE: fix buffer overflow when converting string to float
    - debian/patches/CVE-2009-0689.diff: adjust Kmax to handle large field
      numbers in kjs/dtoa.cpp
    - CVE-2009-0689
  [ Jonathan Riddell ]
  * SECURITY UPDATE: uncontrolled XMLHTTPRequest vulnerability
    - Ark and KMail performs insufficient validation which leads to
      specially crafted archive files, using unknown MIME types, to be
      rendered using a KHTML instance, this can trigger uncontrolled
      XMLHTTPRequests to remote sites
    - Add debian/patches/security_02_XMLHttpRequest_vulnerability.diff,
      restricts xmlhttprequest to http protocols only
    - http://www.kde.org/info/security/advisory-20091027-1.txt
    - oCert: #2009-015 http://www.ocert.org/advisories/ocert-2009-015.html
    - CVE-2009-XXXX
  [ Scott Kitterman ]
  * Update Jaunty backport (LP: #502761)

ubuntu/jaunty-security 2009-12-11 01:15:58 UTC 2009-12-11
Import patches-unapplied version 4:4.2.2-0ubuntu5.4 to ubuntu/jaunty-security

Author: Jamie Strandboge
Author Date: 2009-12-07 21:25:55 UTC

Import patches-unapplied version 4:4.2.2-0ubuntu5.4 to ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 439c23b70d53c3fb51c51ad31e76d3da4c611f1c

New changelog entries:
  [ Jamie Strandboge ]
  * SECURITY UPDATE: fix buffer overflow when converting string to float
    - debian/patches/CVE-2009-0689.diff: adjust Kmax to handle large field
      numbers in kjs/dtoa.cpp
    - CVE-2009-0689
  [ Jonathan Riddell ]
  * SECURITY UPDATE: uncontrolled XMLHTTPRequest vulnerability
    - Ark and KMail performs insufficient validation which leads to
      specially crafted archive files, using unknown MIME types, to be
      rendered using a KHTML instance, this can trigger uncontrolled
      XMLHTTPRequests to remote sites
    - Add debian/patches/security_02_XMLHttpRequest_vulnerability.diff,
      restricts xmlhttprequest to http protocols only
    - http://www.kde.org/info/security/advisory-20091027-1.txt
    - oCert: #2009-015 http://www.ocert.org/advisories/ocert-2009-015.html
    - CVE-2009-XXXX

ubuntu/intrepid-security 2009-12-11 01:15:58 UTC 2009-12-11
Import patches-unapplied version 4:4.1.4-0ubuntu1~intrepid1.5 to ubuntu/intre...

Author: Jamie Strandboge
Author Date: 2009-12-07 21:23:45 UTC

Import patches-unapplied version 4:4.1.4-0ubuntu1~intrepid1.5 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: bde7d67af293b7f371bdfd185769a3d04c8305fd

New changelog entries:
  [ Jamie Strandboge ]
  * SECURITY UPDATE: fix buffer overflow when converting string to float
    - debian/patches/CVE-2009-0689.diff: adjust Kmax to handle large field
      numbers in kjs/dtoa.cpp
    - CVE-2009-0689
  [ Jonathan Riddell ]
  * SECURITY UPDATE: uncontrolled XMLHTTPRequest vulnerability
    - Ark and KMail performs insufficient validation which leads to
      specially crafted archive files, using unknown MIME types, to be
      rendered using a KHTML instance, this can trigger uncontrolled
      XMLHTTPRequests to remote sites
    - Add debian/patches/security_02_XMLHttpRequest_vulnerability.diff,
      restricts xmlhttprequest to http protocols only
    - http://www.kde.org/info/security/advisory-20091027-1.txt
    - oCert: #2009-015 http://www.ocert.org/advisories/ocert-2009-015.html
    - CVE-2009-XXXX
   * SECURITY UPDATE: kio help URL validation
    - the 'help://' protocol handler suffer from directory traversal.
    - Add debian/patches/security_03_kioslave_input_validation.diff to
      verify the URL
    - http://www.kde.org/info/security/advisory-20091027-1.txt
    - oCert: #2009-015 http://www.ocert.org/advisories/ocert-2009-015.html
    - CVE-2009-XXXX

ubuntu/intrepid-devel 2009-12-11 01:15:58 UTC 2009-12-11
Import patches-unapplied version 4:4.1.4-0ubuntu1~intrepid1.5 to ubuntu/intre...

Author: Jamie Strandboge
Author Date: 2009-12-07 21:23:45 UTC

Import patches-unapplied version 4:4.1.4-0ubuntu1~intrepid1.5 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: bde7d67af293b7f371bdfd185769a3d04c8305fd

New changelog entries:
  [ Jamie Strandboge ]
  * SECURITY UPDATE: fix buffer overflow when converting string to float
    - debian/patches/CVE-2009-0689.diff: adjust Kmax to handle large field
      numbers in kjs/dtoa.cpp
    - CVE-2009-0689
  [ Jonathan Riddell ]
  * SECURITY UPDATE: uncontrolled XMLHTTPRequest vulnerability
    - Ark and KMail performs insufficient validation which leads to
      specially crafted archive files, using unknown MIME types, to be
      rendered using a KHTML instance, this can trigger uncontrolled
      XMLHTTPRequests to remote sites
    - Add debian/patches/security_02_XMLHttpRequest_vulnerability.diff,
      restricts xmlhttprequest to http protocols only
    - http://www.kde.org/info/security/advisory-20091027-1.txt
    - oCert: #2009-015 http://www.ocert.org/advisories/ocert-2009-015.html
    - CVE-2009-XXXX
   * SECURITY UPDATE: kio help URL validation
    - the 'help://' protocol handler suffer from directory traversal.
    - Add debian/patches/security_03_kioslave_input_validation.diff to
      verify the URL
    - http://www.kde.org/info/security/advisory-20091027-1.txt
    - oCert: #2009-015 http://www.ocert.org/advisories/ocert-2009-015.html
    - CVE-2009-XXXX

ubuntu/jaunty-updates 2009-12-11 01:15:58 UTC 2009-12-11
Import patches-unapplied version 4:4.2.2-0ubuntu5.4 to ubuntu/jaunty-security

Author: Jamie Strandboge
Author Date: 2009-12-07 21:25:55 UTC

Import patches-unapplied version 4:4.2.2-0ubuntu5.4 to ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 439c23b70d53c3fb51c51ad31e76d3da4c611f1c

New changelog entries:
  [ Jamie Strandboge ]
  * SECURITY UPDATE: fix buffer overflow when converting string to float
    - debian/patches/CVE-2009-0689.diff: adjust Kmax to handle large field
      numbers in kjs/dtoa.cpp
    - CVE-2009-0689
  [ Jonathan Riddell ]
  * SECURITY UPDATE: uncontrolled XMLHTTPRequest vulnerability
    - Ark and KMail performs insufficient validation which leads to
      specially crafted archive files, using unknown MIME types, to be
      rendered using a KHTML instance, this can trigger uncontrolled
      XMLHTTPRequests to remote sites
    - Add debian/patches/security_02_XMLHttpRequest_vulnerability.diff,
      restricts xmlhttprequest to http protocols only
    - http://www.kde.org/info/security/advisory-20091027-1.txt
    - oCert: #2009-015 http://www.ocert.org/advisories/ocert-2009-015.html
    - CVE-2009-XXXX

ubuntu/intrepid-updates 2009-12-11 01:15:58 UTC 2009-12-11
Import patches-unapplied version 4:4.1.4-0ubuntu1~intrepid1.5 to ubuntu/intre...

Author: Jamie Strandboge
Author Date: 2009-12-07 21:23:45 UTC

Import patches-unapplied version 4:4.1.4-0ubuntu1~intrepid1.5 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: bde7d67af293b7f371bdfd185769a3d04c8305fd

New changelog entries:
  [ Jamie Strandboge ]
  * SECURITY UPDATE: fix buffer overflow when converting string to float
    - debian/patches/CVE-2009-0689.diff: adjust Kmax to handle large field
      numbers in kjs/dtoa.cpp
    - CVE-2009-0689
  [ Jonathan Riddell ]
  * SECURITY UPDATE: uncontrolled XMLHTTPRequest vulnerability
    - Ark and KMail performs insufficient validation which leads to
      specially crafted archive files, using unknown MIME types, to be
      rendered using a KHTML instance, this can trigger uncontrolled
      XMLHTTPRequests to remote sites
    - Add debian/patches/security_02_XMLHttpRequest_vulnerability.diff,
      restricts xmlhttprequest to http protocols only
    - http://www.kde.org/info/security/advisory-20091027-1.txt
    - oCert: #2009-015 http://www.ocert.org/advisories/ocert-2009-015.html
    - CVE-2009-XXXX
   * SECURITY UPDATE: kio help URL validation
    - the 'help://' protocol handler suffer from directory traversal.
    - Add debian/patches/security_03_kioslave_input_validation.diff to
      verify the URL
    - http://www.kde.org/info/security/advisory-20091027-1.txt
    - oCert: #2009-015 http://www.ocert.org/advisories/ocert-2009-015.html
    - CVE-2009-XXXX

ubuntu/jaunty-devel 2009-12-11 01:15:58 UTC 2009-12-11
Import patches-unapplied version 4:4.2.2-0ubuntu5.4 to ubuntu/jaunty-security

Author: Jamie Strandboge
Author Date: 2009-12-07 21:25:55 UTC

Import patches-unapplied version 4:4.2.2-0ubuntu5.4 to ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 439c23b70d53c3fb51c51ad31e76d3da4c611f1c

New changelog entries:
  [ Jamie Strandboge ]
  * SECURITY UPDATE: fix buffer overflow when converting string to float
    - debian/patches/CVE-2009-0689.diff: adjust Kmax to handle large field
      numbers in kjs/dtoa.cpp
    - CVE-2009-0689
  [ Jonathan Riddell ]
  * SECURITY UPDATE: uncontrolled XMLHTTPRequest vulnerability
    - Ark and KMail performs insufficient validation which leads to
      specially crafted archive files, using unknown MIME types, to be
      rendered using a KHTML instance, this can trigger uncontrolled
      XMLHTTPRequests to remote sites
    - Add debian/patches/security_02_XMLHttpRequest_vulnerability.diff,
      restricts xmlhttprequest to http protocols only
    - http://www.kde.org/info/security/advisory-20091027-1.txt
    - oCert: #2009-015 http://www.ocert.org/advisories/ocert-2009-015.html
    - CVE-2009-XXXX

ubuntu/karmic 2009-10-18 19:04:22 UTC 2009-10-18
Import patches-unapplied version 4:4.3.2-0ubuntu7 to ubuntu/karmic

Author: Scott Kitterman
Author Date: 2009-10-18 13:35:26 UTC

Import patches-unapplied version 4:4.3.2-0ubuntu7 to ubuntu/karmic

Imported using git-ubuntu import.

Changelog parent: a1a1e747c679324f5d80cf88a44096b34ce01bb9

New changelog entries:
  * Add kubuntu_81_revert_scrollwidget.diff to revert plasma/applet back to
    4.3.1 and fix the Kubuntu Netbook application launcher (LP: #446905)

ubuntu/intrepid-backports 2009-04-29 10:04:38 UTC 2009-04-29
Import patches-unapplied version 4:4.2.2-0ubuntu1~intrepid2 to ubuntu/intrepi...

Author: Jonathan Thomas
Author Date: 2009-04-29 01:21:41 UTC

Import patches-unapplied version 4:4.2.2-0ubuntu1~intrepid2 to ubuntu/intrepid-backports

Imported using git-ubuntu import.

Changelog parent: 6be7747fc87a235685473e3b94dee0b7341c6430

New changelog entries:
  * Update kubuntu_69_do_not_show_plasma_popups_over_screensaver.diff so
    that Plasma PopupDialogs don't get broken

ubuntu/jaunty 2009-04-15 01:07:00 UTC 2009-04-15
Import patches-unapplied version 4:4.2.2-0ubuntu5 to ubuntu/jaunty

Author: Jonathan Riddell
Author Date: 2009-04-15 00:20:06 UTC

Import patches-unapplied version 4:4.2.2-0ubuntu5 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 45ac1866d0f0ac53095d401b44f40910f3b2baa4

New changelog entries:
  * Fix kubuntu_56_langpacks_desktop_files.diff so it uses the stock
    translation files, closes LP: #355814

ubuntu/intrepid-proposed 2009-01-13 11:05:20 UTC 2009-01-13
Import patches-unapplied version 4:4.1.4-0ubuntu1~intrepid1 to ubuntu/intrepi...

Author: Harald Sitter
Author Date: 2009-01-07 14:29:18 UTC

Import patches-unapplied version 4:4.1.4-0ubuntu1~intrepid1 to ubuntu/intrepid-proposed

Imported using git-ubuntu import.

Changelog parent: 74ed0388dfdb4abb144e3fafe4b63a4deba4b81d

New changelog entries:
  * New upstream release
  * Update kubuntu_06_user_disk_mounting.diff
  * Remove (applied upstream):
    - kubuntu_12_http_cache_cleaner.diff
    - kubuntu_09_fix_application_menu.diff
    - kubuntu_12_khtmlimagepart_linking.diff

ubuntu/intrepid 2008-10-18 06:04:08 UTC 2008-10-18
Import patches-unapplied version 4:4.1.2-0ubuntu10 to ubuntu/intrepid

Author: Harald Sitter
Author Date: 2008-10-18 01:14:56 UTC

Import patches-unapplied version 4:4.1.2-0ubuntu10 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 0cc4c94ca8221427cb8ef272addbf819869ce992

New changelog entries:
  * Remove 12_deprecate_applnk.diff, it was the cause of all the problems with
    non-kde4 applications we had (broken icons, duplicated entries etc.)
    (LP: #254688, #268800)
  * Add kubuntu_11_fix_openwithdialog.diff to increase reliability of
    kopenwithdialog. Without the patch it creates KService objects using
    findByName, which is wrong whenever there is a non-application service
    type with the same name as the application (e.g. Kontact and kontactconfig)

ubuntu/hardy-backports 2008-07-25 07:04:36 UTC 2008-07-25
Import patches-unapplied version 4:4.0.5-0ubuntu1~hardy3 to ubuntu/hardy-back...

Author: Yuriy Kozlov
Author Date: 2008-07-11 16:15:44 UTC

Import patches-unapplied version 4:4.0.5-0ubuntu1~hardy3 to ubuntu/hardy-backports

Imported using git-ubuntu import.

Changelog parent: d248af0d20316d341fc12c5efc374a1ce0b48393

New changelog entries:
  * Backport double paste fix from trunk (LP: #243683)

ubuntu/hardy-proposed 2008-05-17 17:04:30 UTC 2008-05-17
Import patches-unapplied version 4:4.0.3-0ubuntu5.2 to ubuntu/hardy-proposed

Author: Yuriy Kozlov
Author Date: 2008-05-17 15:51:47 UTC

Import patches-unapplied version 4:4.0.3-0ubuntu5.2 to ubuntu/hardy-proposed

Imported using git-ubuntu import.

Changelog parent: 2a6daa74d4f8078a05736534cf1bd8b716ceee9b

New changelog entries:
  * Modified debian/patches/kubuntu_01_kde3_menu_applications.diff to
    launch KDE 3 games correctly, since they are installed to /usr/games
    and not /usr/bin (LP: #218138)

ubuntu/hardy-updates 2008-05-17 17:04:30 UTC 2008-05-17
Import patches-unapplied version 4:4.0.3-0ubuntu5.2 to ubuntu/hardy-proposed

Author: Yuriy Kozlov
Author Date: 2008-05-17 15:51:47 UTC

Import patches-unapplied version 4:4.0.3-0ubuntu5.2 to ubuntu/hardy-proposed

Imported using git-ubuntu import.

Changelog parent: 2a6daa74d4f8078a05736534cf1bd8b716ceee9b

New changelog entries:
  * Modified debian/patches/kubuntu_01_kde3_menu_applications.diff to
    launch KDE 3 games correctly, since they are installed to /usr/games
    and not /usr/bin (LP: #218138)

ubuntu/hardy-devel 2008-05-17 17:04:30 UTC 2008-05-17
Import patches-unapplied version 4:4.0.3-0ubuntu5.2 to ubuntu/hardy-proposed

Author: Yuriy Kozlov
Author Date: 2008-05-17 15:51:47 UTC

Import patches-unapplied version 4:4.0.3-0ubuntu5.2 to ubuntu/hardy-proposed

Imported using git-ubuntu import.

Changelog parent: 2a6daa74d4f8078a05736534cf1bd8b716ceee9b

New changelog entries:
  * Modified debian/patches/kubuntu_01_kde3_menu_applications.diff to
    launch KDE 3 games correctly, since they are installed to /usr/games
    and not /usr/bin (LP: #218138)

ubuntu/feisty-devel 2008-05-06 20:04:05 UTC 2008-05-06
Import patches-unapplied version 3.80.3-0ubuntu4.1 to ubuntu/feisty-security

Author: Jonathan Riddell
Author Date: 2008-04-22 16:26:37 UTC

Import patches-unapplied version 3.80.3-0ubuntu4.1 to ubuntu/feisty-security

Imported using git-ubuntu import.

Changelog parent: 4efcc8a31ff93b0205439cedb63a76303ffea35e

New changelog entries:
  * SECURITY UPDATE: KHTML's PNG loader can be tricked into
    overrunning a heap allocated memory buffer by loading a
    specially encoded image. A remote site could cause a denial of
    service and possibly execute arbitrary code in the context of
    the user.
  * Add patch kubuntu_07_khtml_png_loader_memory_overrun.diff from KDE
    upstream, adds extra checks to khtml/imload/decoders/pngloader.cpp
  * References
    http://www.kde.org/info/security/advisory-20080426-1.txt
    CVE-2008-1670

ubuntu/gutsy-devel 2008-05-06 20:04:05 UTC 2008-05-06
Import patches-unapplied version 3.94.0-0ubuntu1.1 to ubuntu/gutsy-security

Author: Jonathan Riddell
Author Date: 2008-04-22 16:21:41 UTC

Import patches-unapplied version 3.94.0-0ubuntu1.1 to ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 7223d98f82ab69ca5438153313a69c2945f45b35

New changelog entries:
  * SECURITY UPDATE: KHTML's PNG loader can be tricked into
    overrunning a heap allocated memory buffer by loading a
    specially encoded image. A remote site could cause a denial of
    service and possibly execute arbitrary code in the context of
    the user.
  * Add patch kubuntu_07_khtml_png_loader_memory_overrun.diff from KDE
    upstream, adds extra checks to khtml/imload/decoders/pngloader.cpp
  * References
    http://www.kde.org/info/security/advisory-20080426-1.txt
    CVE-2008-1670

ubuntu/gutsy-updates 2008-05-06 20:04:05 UTC 2008-05-06
Import patches-unapplied version 3.94.0-0ubuntu1.1 to ubuntu/gutsy-security

Author: Jonathan Riddell
Author Date: 2008-04-22 16:21:41 UTC

Import patches-unapplied version 3.94.0-0ubuntu1.1 to ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 7223d98f82ab69ca5438153313a69c2945f45b35

New changelog entries:
  * SECURITY UPDATE: KHTML's PNG loader can be tricked into
    overrunning a heap allocated memory buffer by loading a
    specially encoded image. A remote site could cause a denial of
    service and possibly execute arbitrary code in the context of
    the user.
  * Add patch kubuntu_07_khtml_png_loader_memory_overrun.diff from KDE
    upstream, adds extra checks to khtml/imload/decoders/pngloader.cpp
  * References
    http://www.kde.org/info/security/advisory-20080426-1.txt
    CVE-2008-1670

ubuntu/gutsy-security 2008-05-06 20:04:05 UTC 2008-05-06
Import patches-unapplied version 3.94.0-0ubuntu1.1 to ubuntu/gutsy-security

Author: Jonathan Riddell
Author Date: 2008-04-22 16:21:41 UTC

Import patches-unapplied version 3.94.0-0ubuntu1.1 to ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 7223d98f82ab69ca5438153313a69c2945f45b35

New changelog entries:
  * SECURITY UPDATE: KHTML's PNG loader can be tricked into
    overrunning a heap allocated memory buffer by loading a
    specially encoded image. A remote site could cause a denial of
    service and possibly execute arbitrary code in the context of
    the user.
  * Add patch kubuntu_07_khtml_png_loader_memory_overrun.diff from KDE
    upstream, adds extra checks to khtml/imload/decoders/pngloader.cpp
  * References
    http://www.kde.org/info/security/advisory-20080426-1.txt
    CVE-2008-1670

ubuntu/hardy-security 2008-05-06 20:04:05 UTC 2008-05-06
Import patches-unapplied version 4:4.0.3-0ubuntu5.1 to ubuntu/hardy-security

Author: Jonathan Riddell
Author Date: 2008-04-22 16:05:08 UTC

Import patches-unapplied version 4:4.0.3-0ubuntu5.1 to ubuntu/hardy-security

Imported using git-ubuntu import.

Changelog parent: f8b2308d7dcd24e7f0c9d72158398e6e8e785d47

New changelog entries:
  * SECURITY UPDATE: KHTML's PNG loader can be tricked into
    overrunning a heap allocated memory buffer by loading a
    specially encoded image. A remote site could cause a denial of
    service and possibly execute arbitrary code in the context of
    the user.
  * Add patch kubuntu_07_khtml_png_loader_memory_overrun.diff from KDE
    upstream, adds extra checks to khtml/imload/decoders/pngloader.cpp
  * References
    http://www.kde.org/info/security/advisory-20080426-1.txt
    CVE-2008-1670

ubuntu/feisty-security 2008-05-06 20:04:05 UTC 2008-05-06
Import patches-unapplied version 3.80.3-0ubuntu4.1 to ubuntu/feisty-security

Author: Jonathan Riddell
Author Date: 2008-04-22 16:26:37 UTC

Import patches-unapplied version 3.80.3-0ubuntu4.1 to ubuntu/feisty-security

Imported using git-ubuntu import.

Changelog parent: 4efcc8a31ff93b0205439cedb63a76303ffea35e

New changelog entries:
  * SECURITY UPDATE: KHTML's PNG loader can be tricked into
    overrunning a heap allocated memory buffer by loading a
    specially encoded image. A remote site could cause a denial of
    service and possibly execute arbitrary code in the context of
    the user.
  * Add patch kubuntu_07_khtml_png_loader_memory_overrun.diff from KDE
    upstream, adds extra checks to khtml/imload/decoders/pngloader.cpp
  * References
    http://www.kde.org/info/security/advisory-20080426-1.txt
    CVE-2008-1670

ubuntu/feisty-updates 2008-05-06 20:04:05 UTC 2008-05-06
Import patches-unapplied version 3.80.3-0ubuntu4.1 to ubuntu/feisty-security

Author: Jonathan Riddell
Author Date: 2008-04-22 16:26:37 UTC

Import patches-unapplied version 3.80.3-0ubuntu4.1 to ubuntu/feisty-security

Imported using git-ubuntu import.

Changelog parent: 4efcc8a31ff93b0205439cedb63a76303ffea35e

New changelog entries:
  * SECURITY UPDATE: KHTML's PNG loader can be tricked into
    overrunning a heap allocated memory buffer by loading a
    specially encoded image. A remote site could cause a denial of
    service and possibly execute arbitrary code in the context of
    the user.
  * Add patch kubuntu_07_khtml_png_loader_memory_overrun.diff from KDE
    upstream, adds extra checks to khtml/imload/decoders/pngloader.cpp
  * References
    http://www.kde.org/info/security/advisory-20080426-1.txt
    CVE-2008-1670

ubuntu/hardy 2008-04-20 22:03:29 UTC 2008-04-20
Import patches-unapplied version 4:4.0.3-0ubuntu5 to ubuntu/hardy

Author: Jonathan Riddell
Author Date: 2008-04-20 21:22:49 UTC

Import patches-unapplied version 4:4.0.3-0ubuntu5 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: fdd42825da6b78e1a942be88c88baddf15efb9d7

New changelog entries:
  * Add patch to debian/patches/series

ubuntu/gutsy-backports 2008-01-10 13:06:33 UTC 2008-01-10
Import patches-unapplied version 4:4.0.0-0ubuntu1~gutsy1 to ubuntu/gutsy-back...

Author: Jonathan Riddell
Author Date: 2008-01-10 12:11:14 UTC

Import patches-unapplied version 4:4.0.0-0ubuntu1~gutsy1 to ubuntu/gutsy-backports

Imported using git-ubuntu import.

Changelog parent: a77ffab1ed55967c428d9569a85ee6cae026fee6

New changelog entries:
  * Gutsy backport
  * Replace b-d on libgif-dev with libungif4-dev for gutsy
  * Change maintainer address for PPA package
  * Adjust dependencies of kdelibs5-dev to match build-dependencies
  * PPA Upload

applied/ubuntu/gutsy-backports 2007-11-03 17:03:45 UTC 2007-11-03
Import patches-applied version 3.95.0-0ubuntu1~gutsy1 to applied/ubuntu/gutsy...

Author: Jonathan Riddell
Author Date: 2007-11-02 15:23:33 UTC

Import patches-applied version 3.95.0-0ubuntu1~gutsy1 to applied/ubuntu/gutsy-backports

Imported using git-ubuntu import.

Changelog parent: 12790162f3486d18110cc7a8dc096ac9b4a69908
Unapplied parent: 3fdb25b925e44528b14cf96e0134b0d735b759a6

New changelog entries:
  * Gutsy backports
  * Add kdebase-runtime shlibs from Debian
  * New upstream release
  * debian/kdelibs5.install:
    - Removed usr/lib/kde4/lib/libcupsdconf.so to fix FTBS

ubuntu/gutsy 2007-10-12 20:04:23 UTC 2007-10-12
Import patches-unapplied version 3.94.0-0ubuntu1 to ubuntu/gutsy

Author: Jonathan Riddell
Author Date: 2007-10-10 17:30:48 UTC

Import patches-unapplied version 3.94.0-0ubuntu1 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 75ae1b9b848578678c1706e7018a3797137f1007

New changelog entries:
  * New upstrem release

applied/ubuntu/hardy-devel 2007-10-12 20:04:23 UTC 2007-10-12
Import patches-applied version 3.94.0-0ubuntu1 to applied/ubuntu/gutsy

Author: Jonathan Riddell
Author Date: 2007-10-10 17:30:48 UTC

Import patches-applied version 3.94.0-0ubuntu1 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 3ff71b38d786673be8392ed320ae5764fcbd98d2
Unapplied parent: 7223d98f82ab69ca5438153313a69c2945f45b35

New changelog entries:
  * New upstrem release

applied/ubuntu/hardy 2007-10-12 20:04:23 UTC 2007-10-12
Import patches-applied version 3.94.0-0ubuntu1 to applied/ubuntu/gutsy

Author: Jonathan Riddell
Author Date: 2007-10-10 17:30:48 UTC

Import patches-applied version 3.94.0-0ubuntu1 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 3ff71b38d786673be8392ed320ae5764fcbd98d2
Unapplied parent: 7223d98f82ab69ca5438153313a69c2945f45b35

New changelog entries:
  * New upstrem release

applied/ubuntu/gutsy 2007-10-12 20:04:23 UTC 2007-10-12
Import patches-applied version 3.94.0-0ubuntu1 to applied/ubuntu/gutsy

Author: Jonathan Riddell
Author Date: 2007-10-10 17:30:48 UTC

Import patches-applied version 3.94.0-0ubuntu1 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 3ff71b38d786673be8392ed320ae5764fcbd98d2
Unapplied parent: 7223d98f82ab69ca5438153313a69c2945f45b35

New changelog entries:
  * New upstrem release

applied/ubuntu/gutsy-devel 2007-10-12 20:04:23 UTC 2007-10-12
Import patches-applied version 3.94.0-0ubuntu1 to applied/ubuntu/gutsy

Author: Jonathan Riddell
Author Date: 2007-10-10 17:30:48 UTC

Import patches-applied version 3.94.0-0ubuntu1 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 3ff71b38d786673be8392ed320ae5764fcbd98d2
Unapplied parent: 7223d98f82ab69ca5438153313a69c2945f45b35

New changelog entries:
  * New upstrem release

applied/ubuntu/devel 2007-10-12 20:04:23 UTC 2007-10-12
Import patches-applied version 3.94.0-0ubuntu1 to applied/ubuntu/gutsy

Author: Jonathan Riddell
Author Date: 2007-10-10 17:30:48 UTC

Import patches-applied version 3.94.0-0ubuntu1 to applied/ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 3ff71b38d786673be8392ed320ae5764fcbd98d2
Unapplied parent: 7223d98f82ab69ca5438153313a69c2945f45b35

New changelog entries:
  * New upstrem release

ubuntu/feisty-backports 2007-09-06 12:03:55 UTC 2007-09-06
Import patches-unapplied version 3.93.0-0ubuntu1~feisty1 to ubuntu/feisty-bac...

Author: Jonathan Riddell
Author Date: 2007-09-06 10:22:42 UTC

Import patches-unapplied version 3.93.0-0ubuntu1~feisty1 to ubuntu/feisty-backports

Imported using git-ubuntu import.

Changelog parent: 75ae1b9b848578678c1706e7018a3797137f1007

New changelog entries:
  * Feisty build

applied/ubuntu/feisty-backports 2007-09-06 12:03:55 UTC 2007-09-06
Import patches-applied version 3.93.0-0ubuntu1~feisty1 to applied/ubuntu/feis...

Author: Jonathan Riddell
Author Date: 2007-09-06 10:22:42 UTC

Import patches-applied version 3.93.0-0ubuntu1~feisty1 to applied/ubuntu/feisty-backports

Imported using git-ubuntu import.

Changelog parent: 3ff71b38d786673be8392ed320ae5764fcbd98d2
Unapplied parent: 650f152109b3f7abcad2b471b929fc5e5aa62e71

New changelog entries:
  * Feisty build

applied/ubuntu/feisty-devel 2007-04-06 20:04:10 UTC 2007-04-06
Import patches-applied version 3.80.3-0ubuntu4 to applied/ubuntu/feisty

Author: Jonathan Riddell
Author Date: 2007-04-06 19:24:44 UTC

Import patches-applied version 3.80.3-0ubuntu4 to applied/ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: bd306498fb752fc70e9f468688d1de3c3991d1c1
Unapplied parent: 4efcc8a31ff93b0205439cedb63a76303ffea35e

New changelog entries:
  * Add DEB_DH_SHLIBDEPS_ARGS

applied/ubuntu/feisty 2007-04-06 20:04:10 UTC 2007-04-06
Import patches-applied version 3.80.3-0ubuntu4 to applied/ubuntu/feisty

Author: Jonathan Riddell
Author Date: 2007-04-06 19:24:44 UTC

Import patches-applied version 3.80.3-0ubuntu4 to applied/ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: bd306498fb752fc70e9f468688d1de3c3991d1c1
Unapplied parent: 4efcc8a31ff93b0205439cedb63a76303ffea35e

New changelog entries:
  * Add DEB_DH_SHLIBDEPS_ARGS

ubuntu/feisty 2007-04-06 20:04:10 UTC 2007-04-06
Import patches-unapplied version 3.80.3-0ubuntu4 to ubuntu/feisty

Author: Jonathan Riddell
Author Date: 2007-04-06 19:24:44 UTC

Import patches-unapplied version 3.80.3-0ubuntu4 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: 398bde61397ce88ef03fecf237a10caf114e0c1f

New changelog entries:
  * Add DEB_DH_SHLIBDEPS_ARGS

applied/ubuntu/edgy-devel 2006-09-13 15:03:17 UTC 2006-09-13
Import patches-applied version 3.80.1-0ubuntu1 to applied/ubuntu/edgy

Author: Jonathan Riddell
Author Date: 2006-09-06 22:45:39 UTC

Import patches-applied version 3.80.1-0ubuntu1 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Unapplied parent: b0712da0d81697931c5e12c777953f11d33d8021

ubuntu/edgy-devel 2006-09-13 15:03:17 UTC 2006-09-13
Import patches-unapplied version 3.80.1-0ubuntu1 to ubuntu/edgy

Author: Jonathan Riddell
Author Date: 2006-09-06 22:45:39 UTC

Import patches-unapplied version 3.80.1-0ubuntu1 to ubuntu/edgy

Imported using git-ubuntu import.

ubuntu/edgy 2006-09-13 15:03:17 UTC 2006-09-13
Import patches-unapplied version 3.80.1-0ubuntu1 to ubuntu/edgy

Author: Jonathan Riddell
Author Date: 2006-09-06 22:45:39 UTC

Import patches-unapplied version 3.80.1-0ubuntu1 to ubuntu/edgy

Imported using git-ubuntu import.

applied/ubuntu/edgy 2006-09-13 15:03:17 UTC 2006-09-13
Import patches-applied version 3.80.1-0ubuntu1 to applied/ubuntu/edgy

Author: Jonathan Riddell
Author Date: 2006-09-06 22:45:39 UTC

Import patches-applied version 3.80.1-0ubuntu1 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Unapplied parent: b0712da0d81697931c5e12c777953f11d33d8021

101156 of 156 results

Other repositories

Name Last Modified
lp:ubuntu/+source/kde4libs 2019-08-16
11 of 1 result
You can't create new repositories for kde4libs in Ubuntu.